| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Static Public Member Functions
Fling::FlingPaths Struct Reference

Static set of useful engine paths and directories. More...

`#include <FlingPaths.h>`

## Static Public Member Functions
static const std::string & | EngineConfigDir ()
| Returns directory where engine config files are kept. More...
static const std::string & | EngineAssetsDir ()
| Returns directory where engine assets are kept. More...
static const std::string & | BinaryDir ()
| Returns directory where your current binary is. More...
static const std::string & | EngineLogDir ()
| Returns directory where engine log files are kept. More...
static const std::string & | EngineSourceDir ()
| Returns directory where the engine source files are kept. More...
static std::string | ConvertAbsolutePathToRelative (const std::string &t_FullPath)
| Convert a full absolute path to one relative to the engine assets directory. More...
static int | MakeDir (const char *t_Dir)
| Makes a directory given the specified path. More...
static bool | DirExists (const char *t_Dir)
| Checks if this directory exists. More...
static void | GetCurrentWorkingDir (char *t_OutBuf, size_t t_BufSize)
| Get the current working directory. More...

## Detailed Description

Static set of useful engine paths and directories.

## Member Function Documentation

## ◆ BinaryDir()

static const std::string& Fling::FlingPaths::BinaryDir | ( |  | ) |
| static

Returns directory where your current binary is.

## ◆ ConvertAbsolutePathToRelative()

static std::string Fling::FlingPaths::ConvertAbsolutePathToRelative | ( | const std::string & | t_FullPath | ) |
| static

Convert a full absolute path to one relative to the engine assets directory.

## ◆ DirExists()

bool Fling::FlingPaths::DirExists | ( | const char * | t_Dir | ) |
| static

Checks if this directory exists.

Parameters

  t_Dir | The directory to check

Returns
  True if the directory exists

## ◆ EngineAssetsDir()

static const std::string& Fling::FlingPaths::EngineAssetsDir | ( |  | ) |
| static

Returns directory where engine assets are kept.

## ◆ EngineConfigDir()

static const std::string& Fling::FlingPaths::EngineConfigDir | ( |  | ) |
| static

Returns directory where engine config files are kept.

## ◆ EngineLogDir()

static const std::string& Fling::FlingPaths::EngineLogDir | ( |  | ) |
| static

Returns directory where engine log files are kept.

## ◆ EngineSourceDir()

static const std::string& Fling::FlingPaths::EngineSourceDir | ( |  | ) |
| static

Returns directory where the engine source files are kept.

## ◆ GetCurrentWorkingDir()

void Fling::FlingPaths::GetCurrentWorkingDir | ( | char * | t_OutBuf,
|  | size_t | t_BufSize
| ) |  |
| static

Get the current working directory.

Parameters

  t_OutBuf | The out buffer
  t_BufSize | Size of the out buffer

## ◆ MakeDir()

int Fling::FlingPaths::MakeDir | ( | const char * | t_Dir | ) |
| static

Makes a directory given the specified path.

Parameters

  t_Dir | The directory to make

Returns
  0 if successful, error code if not

The documentation for this struct was generated from the following files:

- FlingEngine/Resources/inc/FlingPaths.h
- FlingEngine/Resources/src/FlingPaths.cpp